﻿@model BeforeAfterCareAddEditStep2FeesViewModel

@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">

        <div class="back">
            <a class="action" ng-click="back()">
                
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title" >
            <h1>
                Schedules fees 
            </h1>
        </div>

        <div class="actions"></div>

        <div class="clearfix"></div>

        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

    <div>
        <fieldset ng-if="Model.HasBeforeSchedule">
            <legend>Before school</legend>
            <div ng-repeat="beforeFees in Model.BeforeFees" ng-init="sbIndex = $index">

                <div class="place-left one-third padding-right20">
                    <label>Number of class days in a week</label>
                    <div class="input-control text" data-role="input-control">
                        <input ng-model="beforeFees.NumberOfClassDay" type="text" disabled/>
                    </div>
                </div>

                <div class="place-left one-third padding-right20">
                    <label class="req-star">Tuition label</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("BeforeFees['+sbIndex+'].TuitionLabel")>
                        <input ng-model="beforeFees.TuitionLabel" type="text" @Html.AngTooltipValidation("BeforeFees['+sbIndex+'].TuitionLabel") />
                    </div>
                </div>
                <div class="place-left one-third">
                    <div class="place-left two-third">
                        <label class="req-star">Price for schedule</label>
                        <div class="input-control text" data-role="input-control" @Html.AngValidationClass("BeforeFees['+sbIndex+'].Amount")>
                            <input ng-model="beforeFees.Amount" type="text" @Html.AngTooltipValidation("BeforeFees['+sbIndex+'].Amount") />
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="place-left one-half earlybird-discounts" ng-show="Model.IsFullPay">
                @*<label>Full pay discount</label>
                <hr />*@
                <div class="place-left one-half">
                    <div class="place-left four-fifth">
                        <label>Pay-in-full discount percentage</label>
                        <div class="input-control text price" data-sign="%" data-role="input-control" @Html.AngValidationClass("BeforeFullPayDiscount")>
                            <input ng-model="Model.BeforeFullPayDiscount" type="text" @Html.AngTooltipValidation("BeforeFullPayDiscount") />
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
            @*<div class="place-left one-half" ng-show="Model.IsDropIn">
                <div class="place-left one-half padding-right20">
                    <label class="req-star">Drop-In tuition label</label>

                    <div class="input-control text" @Html.AngValidationClass("BeforeDropInSessionLabel")>
                        <input ng-model="Model.BeforeDropInSessionLabel" type="text" @Html.AngTooltipValidation("BeforeDropInSessionLabel") />
                    </div>
                </div>

                <div class="place-left one-half">

                    <label class="req-star">Drop-In tuition price</label>
                    <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("BeforeDropInSessionPrice")>
                        <input ng-model="Model.BeforeDropInSessionPrice" type="text" @Html.AngTooltipValidation("BeforeDropInSessionPrice") />
                    </div>

                </div>
            </div>*@
            <div class="clearfix"></div>
            <div class="place-left one-half">
                <label>Capacity</label>
                <div class="input-control select" @Html.AngValidationClass("BeforeCapacity")>
                    <select ng-model="Model.BeforeCapacity"
                            ng-options="obj.Value as obj.Text for obj in Model.Capacities"
                            @Html.AngTooltipValidation("BeforeCapacity")></select>
                </div>
            </div>
        </fieldset>
        <fieldset  ng-if="Model.HasAfterSchedule">
            <legend>After school</legend>
            <div ng-repeat="afterFees in Model.AfterFees" ng-init="sbIndex2 = $index">
                <div class="place-left one-third padding-right20">
                    <label>Number of class days in a week</label>
                    <div class="input-control text" data-role="input-control">
                        <input ng-model="afterFees.NumberOfClassDay" type="text" disabled />
                    </div>
                </div>
                <div class="place-left one-third padding-right20">
                    <label class="req-star">Tuition label</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("AfterFees['+sbIndex2+'].TuitionLabel")>
                        <input ng-model="afterFees.TuitionLabel" type="text" @Html.AngTooltipValidation("AfterFees['+sbIndex2+'].TuitionLabel") />
                    </div>
                </div>
                <div class="place-left one-third">
                    <div class="place-left two-third">
                        <label class="req-star">Price for schedule</label>
                        <div class="input-control text" data-role="input-control" @Html.AngValidationClass("AfterFees['+sbIndex2+'].Amount")>
                            <input ng-model="afterFees.Amount" type="text" @Html.AngTooltipValidation("AfterFees['+sbIndex2+'].Amount") />
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            
            <div class="clearfix"></div>
            <div class="place-left one-half earlybird-discounts" ng-show="Model.IsFullPay">
                @*<label>Full pay discount</label>
                <hr />*@
                <div class="place-left one-half">
                    <div class="place-left four-fifth">
                        <label>Pay-in-full discount percentage</label>
                        <div class="input-control text price" data-sign="%" data-role="input-control" @Html.AngValidationClass("AfterFullPayDiscount")>
                            <input ng-model="Model.AfterFullPayDiscount" type="text" @Html.AngTooltipValidation("AfterFullPayDiscount") />
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
            @*<div class="place-left one-half" ng-show="Model.IsDropIn">
                <div class="place-left one-half padding-right20">
                    <label class="req-star">Drop-In tuition label</label>
                    <div class="input-control text" @Html.AngValidationClass("AfterDropInSessionLabel")>
                        <input ng-model="Model.AfterDropInSessionLabel" type="text" @Html.AngTooltipValidation("AfterDropInSessionLabel") />
                    </div>
                </div>

                <div class="place-left one-half">

                    <label class="req-star">Drop-In tuition price</label>
                    <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("AfterDropInSessionPrice")>
                        <input ng-model="Model.AfterDropInSessionPrice" type="text" @Html.AngTooltipValidation("AfterDropInSessionPrice") />
                    </div>

                </div>
            </div>*@
            <div class="clearfix"></div>
            <div class="place-left one-half">
                <label>Capacity</label>
                <div class="input-control select" @Html.AngValidationClass("AfterCapacity")>
                    <select ng-model="Model.AfterCapacity"
                            ng-options="obj.Value as obj.Text for obj in Model.Capacities"
                            @Html.AngTooltipValidation("AfterCapacity")></select>
                </div>
            </div>
        </fieldset>
        <fieldset  ng-if="Model.HasComboSchedule">
            <legend>Combo</legend>
            <div ng-repeat="ComboFees in Model.ComboFees" ng-init="sbIndex3 = $index">
                <div class="place-left one-third padding-right20">
                    <label>Number of class days in a week</label>
                    <div class="input-control text" data-role="input-control">
                        <input ng-model="ComboFees.NumberOfClassDay" type="text" disabled />
                    </div>
                </div>
                <div class="place-left one-third padding-right20">
                    <label class="req-star">Tuition label</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("ComboFees['+sbIndex3+'].TuitionLabel")>
                        <input ng-model="ComboFees.TuitionLabel" type="text" @Html.AngTooltipValidation("ComboFees['+sbIndex3+'].TuitionLabel") />
                    </div>
                </div>
                <div class="place-left one-third">
                    <div class="place-left two-third">
                        <label class="req-star">Price for schedule</label>
                        <div class="input-control text" data-role="input-control" @Html.AngValidationClass("ComboFees['+sbIndex3+'].Amount")>
                            <input ng-model="ComboFees.Amount" type="text" @Html.AngTooltipValidation("ComboFees['+sbIndex3+'].Amount") />
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="clearfix"></div>
            <br />
            
            <div class="place-left one-half earlybird-discounts" ng-show="Model.IsFullPay">
                @*<label>Full pay discount</label>
                <hr />*@
                <div class="place-left one-half">
                    <div class="place-left four-fifth">
                        <label>Pay-in-full discount percentage</label>
                        <div class="input-control text price" data-sign="%" data-role="input-control" @Html.AngValidationClass("ComboFullPayDiscount")>
                            <input ng-model="Model.ComboFullPayDiscount" type="text" @Html.AngTooltipValidation("ComboFullPayDiscount") />
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
            @*<div class="place-left one-half" ng-show="Model.IsDropIn">
                <div class="place-left one-half padding-right20">
                    <label class="req-star">Drop-In tuition label</label>

                    <div class="input-control text" @Html.AngValidationClass("ComboDropInSessionLabel")>
                        <input ng-model="Model.ComboDropInSessionLabel" type="text" @Html.AngTooltipValidation("ComboDropInSessionLabel") />
                    </div>
                </div>

                <div class="place-right one-half">

                    <label class="req-star">Drop-In tuition price</label>
                    <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("ComboDropInSessionPrice")>
                        <input ng-model="Model.ComboDropInSessionPrice" type="text" @Html.AngTooltipValidation("ComboDropInSessionPrice") />
                    </div>

                </div>
            </div>*@
        </fieldset>
    </div>

    <div class="clearfix"></div>

    <hr />
    <a class="place-left button link large" ng-click="back()">Back</a>
    <a class="success place-right button large" ng-click="save()">Save & continue</a>

    <div class="clearfix"></div>
</div>